/*
 * Licensed Materials - Property of IBM pidnumber (C) Copyright IBM Corporation
 * 2005. All Rights Reserved. US Government Users Restricted Rights- Use,
 * duplication or disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 */
package com.ibm.j2ca.sample.twineball.outbound;

import javax.resource.ResourceException;
import javax.resource.cci.ResourceAdapterMetaData;
import javax.resource.spi.ConnectionManager;
import com.ibm.j2ca.base.WBIConnectionFactory;
import com.ibm.j2ca.base.WBIManagedConnectionFactory;
import com.ibm.j2ca.base.WBIResourceAdapterMetadata;
import com.ibm.j2ca.sample.twineball.*;


public class TwineBallConnectionFactory extends WBIConnectionFactory {
    /*
     * (non-Javadoc)
     * 
     * @see javax.resource.cci.ConnectionFactory#getMetaData()
     */
    public ResourceAdapterMetaData getMetaData() throws ResourceException {
        return new TwineBallResourceAdapterMetaData();

    }

    /**
     * @param connMgr
     * @param mcf
     */
    public TwineBallConnectionFactory(ConnectionManager connMgr, WBIManagedConnectionFactory mcf) {
        super(connMgr, mcf);
    }
}